Subject: [bug#57927] [PATCH] gnu: source-highlight: Fix lesspipe file name and use gexps.

From: kiasoc5 <[email-masked]>
Date: Wed, 28 Sep 2022 04:34:07 +0000

Hi Tobias,

On Tue, Sep 27 2022, 03:22:19 PM +0200
Tobias Geerinckx-Rice <[email-masked]> wrote:

> Hi kiasoc5,
> 
> kiasoc5 via Guix-patches via 写道：
> > This fixes src-hilite-lesspipe.sh so that lesspipe.sh is called 
> > instead of lesspipe.
> 
> When you notice a rebuild count higher than the thresholds given 
> here[0], please add a ‘[PATCH core-updates]’ or ‘[PATCH staging]’ 
> warning to your patch subject.  It reduces the chance of these 
> slipping through.

I didn't realize source-highlight was used by so many projects, I'll be
more careful next time.

Just so I understand the rebuilds are occuring because the store path
of source-highlight changed, and the result could not be grafted?

> > * gnu/packages/pretty-print.scm (source-highlight):
> > [arguments]: Use gexps, remove trailing #ts.
> > [phases]: Add phase to make src-highlight-lesspipe.sh work.
> 
> These unrelated changes should be separated into at least two 
> patches next time: one to gexp and remove the #ts, the other to 
> make the functional change.
> < to go 
> straight to master.

1. Does trailing #t change the hash?
2. Why might Gexpification change the hash?